Bug 1259440 - cpu: Improve error message when using an incompatible model
Summary: cpu: Improve error message when using an incompatible model
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.2
Hardware: ppc64le
OS: All
unspecified
low
Target Milestone: rc
: ---
Assignee: Thomas Huth
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks: RHV4.1PPC
TreeView+ depends on / blocked
 
Reported: 2015-09-02 15:28 UTC by Andrea Bolognani
Modified: 2016-11-07 20:36 UTC (History)
9 users (show)

Fixed In Version: qemu-2.6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-07 20:36:22 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:2673 normal SHIPPED_LIVE qemu-kvm-rhev bug fix and enhancement update 2016-11-08 01:06:13 UTC

Description Andrea Bolognani 2015-09-02 15:28:32 UTC
KVM HV on POWER hosts has some restrictions on the PVR
of the guest CPU, so trying to use a different kind of
CPU results in the following error:

  $ /usr/libexec/qemu-kvm -cpu G2leLS
  kvm_init_vcpu failed: Invalid argument

The message is not very helpful and should be improved
upon to help the user understand the problem at hand.

Comment 2 David Gibson 2015-09-04 00:32:41 UTC
As largely cosmetic, I'm deferring to 7.3.

Comment 4 Thomas Huth 2016-02-18 21:04:46 UTC
I've now suggested a patch upstream:

https://patchwork.ozlabs.org/patch/584939/

Comment 6 Mike McCune 2016-03-28 23:40:50 UTC
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

Comment 8 Xu Han 2016-06-02 08:09:01 UTC
Tested this issue with qemu-kvm-rhev-2.6.0-4.el7.ppc64le.

The error message which I got was (raised in hw/ppc/spapr.c):

  # /usr/libexec/qemu-kvm -cpu G2leLS
  qemu-kvm: Unable to find PowerPC CPU definition

but in this case, the expected message is:

  error_report("Register sync failed... If you're using kvm-hv.ko,"
               " only \"-cpu host\" is possible!");
and I did got it with qemu-kvm-rhev-2.6.0-2.el7.ppc64le.


Thomas, would you please help me have a look? Thanks.

Comment 9 Thomas Huth 2016-06-02 08:22:42 UTC
That's now happening because we've now disabled most of the unusable CPUs from downstream QEMU completely (see BZ 1317977 for more information). So the G2leLS CPU was still available in the 2.6.0-2 build, but unusable. And in the 2.6.0-4 build, it has been disabled completely, thus the different error message.

Anyway, you should still be able to see the "Register sync failed..." message when you try to use "-cpu POWER7" on a POWER8 host.

Comment 10 Xu Han 2016-06-02 08:31:08 UTC
(In reply to Thomas Huth from comment #9)
> That's now happening because we've now disabled most of the unusable CPUs
> from downstream QEMU completely (see BZ 1317977 for more information). So
> the G2leLS CPU was still available in the 2.6.0-2 build, but unusable. And
> in the 2.6.0-4 build, it has been disabled completely, thus the different
> error message.
> 
> Anyway, you should still be able to see the "Register sync failed..."
> message when you try to use "-cpu POWER7" on a POWER8 host.

Thanks for your explanation.

Tested the issue again with following command line:

  # /usr/libexec/qemu-kvm -cpu POWER7
  qemu-kvm: Register sync failed... If you're using kvm-hv.ko, only "-cpu host" is possible
  kvm_init_vcpu failed: Invalid argument

So base on comment 8 and this, this bug has been fixed.

Comment 12 errata-xmlrpc 2016-11-07 20:36:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-2673.html


Note You need to log in before you can comment on or make changes to this bug.